package de.fhdw.gaming.ipspiel21.customCore.core.domain;

import java.util.List;

import de.fhdw.gaming.core.domain.Move;

/**
 * Allows to create a CustomGameBuilder.
 */
public interface CustomGameBuilderFactory {

    /**
     * Parameter for the amount of considered games.
     */
    String PARAM_AMOUNT_GAMES = "amountGames";

    /**
     * Parameter for the player move.
     */
    String PARAM_PLAYER_MOVE = "playerMove";

    /**
     * Return all moves of the game.
     */
    List<? extends Move<?, ?>> getMoves();
    
}
